--[[
    Aaron MacDonald
    August 28, 2010
]]

constants = {}

-- Shape types

constants.PLAYER = 'player'
constants.EXIT_WALL = 'exit_wall'

-- Shape categories

constants.CAT_WALL = 1
constants.CAT_ACTOR_GROUND = 2
constants.CAT_ACTOR_BODY = 3

-- Button names (also used for direction labels)

constants.UP = 'up'
constants.DOWN = 'down'
constants.LEFT = 'left'
constants.RIGHT = 'right'

-- Direction names

constants.NORTH = 'north'
constants.NORTHEAST = 'northeast'
constants.EAST = 'east'
constants.SOUTHEAST = 'southeast'
constants.SOUTH = 'south'
constants.SOUTHWEST = 'southwest'
constants.WEST = 'west'
constants.NORTHWEST = 'northwest'

-- Other direction information

constants.DIR_CHANGES = { [constants.NORTH]     = { x =  0, y = -1 },
                          [constants.NORTHEAST] = { x =  1, y = -1 },
                          [constants.EAST]      = { x =  1, y =  0 },
                          [constants.SOUTHEAST] = { x =  1, y =  1 },
                          [constants.SOUTH]     = { x =  0, y =  1 },
                          [constants.SOUTHWEST] = { x = -1, y =  1 },
                          [constants.WEST]      = { x = -1, y =  0 },
                          [constants.NORTHWEST] = { x = -1, y = -1 } }

constants.CARDINAL_DIRS = { constants.NORTH,
                            constants.EAST,
                            constants.SOUTH,
                            constants.WEST }