--[[
    Aaron MacDonald
    November 21, 2010
]]

animation = {}

function animation.newAnim(image, quads, speed)
    return {image = image,
            quads = quads,
            index = 0,
            speed = speed or 1,
            time = 1}
end

function animation.draw(anim, x, y)
    love.graphics.drawq(anim.image, anim.quads[anim.index + 1], x, y)

    anim.time = anim.time - 1
    if anim.time == 0 then
        anim.index = (anim.index + 1) % #anim.quads
        anim.time = anim.speed
    end
end

function animation.setFrame(anim, frame)
    anim.index = frame or 0
    anim.time = 1
end